Assignments Assignments

Public Member Functions | Public Attributes | List of all members
jpeg_error_mgr Struct Reference

`#include <jpeglib.h>`

## Public Member Functions
| JMETHOD (void, error_exit,(j_common_ptr cinfo))
| JMETHOD (void, emit_message,(j_common_ptr cinfo, int msg_level))
| JMETHOD (void, output_message,(j_common_ptr cinfo))
| JMETHOD (void, format_message,(j_common_ptr cinfo, char *buffer))
| JMETHOD (void, reset_error_mgr,(j_common_ptr cinfo))

## Public Attributes
int | msg_code
union { |
int i [8] |
char s [JMSG_STR_PARM_MAX] |
} | msg_parm |
int | trace_level
long | num_warnings
const char *const * | jpeg_message_table
int | last_jpeg_message
const char *const * | addon_message_table
int | first_addon_message
int | last_addon_message

## Member Function Documentation

## ◆ JMETHOD() [1/5]

jpeg_error_mgr::JMETHOD | ( | void | ,
|  | emit_message | ,
|  | (j_common_ptr cinfo, int msg_level) | )

## ◆ JMETHOD() [2/5]

jpeg_error_mgr::JMETHOD | ( | void | ,
|  | error_exit | ,
|  | (j_common_ptr cinfo) | )

## ◆ JMETHOD() [3/5]

jpeg_error_mgr::JMETHOD | ( | void | ,
|  | format_message | ,
|  | (j_common_ptr cinfo, char *buffer) | )

## ◆ JMETHOD() [4/5]

jpeg_error_mgr::JMETHOD | ( | void | ,
|  | output_message | ,
|  | (j_common_ptr cinfo) | )

## ◆ JMETHOD() [5/5]

jpeg_error_mgr::JMETHOD | ( | void | ,
|  | reset_error_mgr | ,
|  | (j_common_ptr cinfo) | )

## Member Data Documentation

## ◆ addon_message_table

const char* const* jpeg_error_mgr::addon_message_table

## ◆ first_addon_message

int jpeg_error_mgr::first_addon_message

## ◆ i

int jpeg_error_mgr::i[8]

## ◆ jpeg_message_table

const char* const* jpeg_error_mgr::jpeg_message_table

## ◆ last_addon_message

int jpeg_error_mgr::last_addon_message

## ◆ last_jpeg_message

int jpeg_error_mgr::last_jpeg_message

## ◆ msg_code

int jpeg_error_mgr::msg_code

## ◆ [union]

union { ... } jpeg_error_mgr::msg_parm

## ◆ num_warnings

long jpeg_error_mgr::num_warnings

## ◆ s

char jpeg_error_mgr::s[JMSG_STR_PARM_MAX]

## ◆ trace_level

int jpeg_error_mgr::trace_level

The documentation for this struct was generated from the following file:

- Assignments/JPEG/jpeglib.h